/* ALL MESH FILES */



/* fillBody2.c */
int  fillSurf_ab( int j, int umax, int vmax, int *n_uv, int amax, int bmax, int *n_ab, int offs1, int offs2, float *x, float *y, float *z );
int  fillSurf_ba2( int sur, int *div_l, int div_a, int div_b, int sa1, int sa2, int sb1, int sb2, int *n_uv, int *umax, int *vmax, int *n_ba, int *amax, int *bmax,  int *offs_sa1, int *offs_sa2, float *x, float *y, float *z, float *x_ba, float *y_ba, float *z_ba );
int fillBody2( int b_indx, int *srefp, int **div_l, int *unbalance, int **nabc, int *amax, int *bmax, int *cmax, int *offs_sa1, int *offs_sa2, int *msur, int *div_sa1, int *div_sa2 );


/* meshSet.c */
void cornerNodes( int vmax, int umax, int j, int *n_uv );
int  newCornerPositions( int n, int u,int v,int umax, int vmax, float *lx,float *ly,float *lz,
 float *x,float *y,float *z, int flag );
int  fillSurf( int j, int *n_uv, int umax, int vmax, float *x, float *y, float *z );
int  fillSurf2( int sur, int *div_l, int div_a, int div_b, int sa1, int sa2, int sb1, int sb2,
 int *n_uv, int *umax, int *vmax, int *n_ba, int *amax, int *bmax, int *offs_sa1, int *offs_sa2,
 float *x, float *y, float *z );
void edgeNodes( int vmax, int umax, int j, int *n_uv );
int  newEdgePositions( int n, int u,int v,int umax, int vmax, float *lx,float *ly,float *lz, float *x,float *y,float *z, int flag );

int meshPoints( int setNr );
int straightNodes( int j, int k, int d, float *pn );
int arcNodes( int j, int k, int d, float *pn );
int splineNodes( int j, int k, int d, float *pn );
int nurlNodes( int j, int k, int d, float *pn );
int meshLines( int setNr );
int newDivisions( int *div_l, int *div_a,int *div_b, int *sa1,int *sa2,int *sb1,int *sb2 );
int addTwoLines( int l1, unsigned char o1, unsigned char typ1, int l2, unsigned char o2, unsigned char typ2 );
int splitLineAtDivratio(int edge, int typ, float splitdiv, int *lnew, unsigned char  *typnew);
int meshSurfs( int setNr );
int fillBody( int b, int *srefp, int umax, int vmax, int wmax, int *n_uvw, float *x, float *y, float *z );
int getSurfDivs( int b, int s, int *div_l );
int meshImprover( int *etyp, int *nodes, int *elements, int *n_indx, int *n_ori, float **n_coord, int **e_nod, int *n_type, int **n_corner, int **s_div );
int bodyFrom5Surfs( int *b);
int bodyFrom7Surfs( int *b);
int meshBodys( int setNr );
void meshSet(unsigned char *setname);


/* surfMesh.h */
int surfMesh(int *imax, int *jmax, float *x, float *y, float *z);

/*  bodyMesh2.h */
int bodyMesh2(int *wmax, int *vmax, int *umax, float *x, float *y, float * z);

/*  improveMesh.o */
int smooth_( double *co, int *nk, int *kon, int *ne, int *iptr1, int *iptr2, int *nside, int *ineino, int *nkind, int *neigh, int *ndiv, double *pneigh, int *maxsumdiv, int *etyp);


