
#include <extUtil.h>


/* berechnet normalen auf Dreiecken und Vierecken */

void calcNormale_quad4(int i, int n1, int n2, int n3, int n4, int f, Nodes *node, Normalen *norm)
{
  static float v1[3], v2[3], v3[3];

      /* Vereinfachte Normale auf Flaeche des i.Elements*/
      v_result( &node[n1].nx, &node[n3].nx, v1);
      v_result( &node[n2].nx, &node[n4].nx, v2);
      v_prod( v1, v2, v3 );
      v_norm( v3, norm[i].side[f] );

}

void calcNormale_tri3(int i, int n1, int n2, int n3, int f, Nodes *node, Normalen *norm )
{
  static float v1[3], v2[3], v3[3];

      v_result( &node[n1].nx, &node[n2].nx, v1);
      v_result( &node[n1].nx, &node[n3].nx, v2);
      v_prod( v1, v2, v3 );
      v_norm( v3, norm[i].side[f] );
}


/* berechnet eine einzelne normale auf Dreiecken und Vierecken */

void calcOneNorm_quad4(int n1, int n2, int n3, int n4, Nodes *node, float *norm)
{
  static float v1[3], v2[3], v3[3];

      /* Vereinfachte Normale auf Flaeche des i.Elements*/
      v_result( &node[n1].nx, &node[n3].nx, v1);
      v_result( &node[n2].nx, &node[n4].nx, v2);
      v_prod( v1, v2, v3 );
      v_norm( v3, norm );

}

void calcOneNorm_tri3(int n1, int n2, int n3, Nodes *node, float *norm )
{
  static float v1[3], v2[3], v3[3];

      v_result( &node[n1].nx, &node[n2].nx, v1);
      v_result( &node[n1].nx, &node[n3].nx, v2);
      v_prod( v1, v2, v3 );
      v_norm( v3, norm );
}

